/**********************************************************************
*	Copyright (C) 2024  Martin Lange
*	This file is part of biffo. OpenSource DMS
*
*	This program is free software: you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation, either version 3 of the License, or
*	(at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program.  If not, see <https://www.gnu.org/licenses/>.
*	info@biffo.de
*	www.biffo.de
**********************************************************************/
package org.biffo.dms.config;

import java.io.Serializable;

public class WebAppConfigParams implements Serializable{
	 
	private static final long serialVersionUID = 1L;

	private int configId=-1;
 	
	
	@Override
	public String toString() {
		return "WebAppConfigParams [ConfigId="+configId+",DBUrl=" + DBUrl + ", DBUser=" + DBUser + ", DBPassword=" + DBPassword + "]";
	}
	private String DBUrl;
	private String DBUser;
	private String DBPassword;
	
	public WebAppConfigParams() {}
	
	public int getConfigId() {return configId;}
	public void setConfigId(int configId) {this.configId = configId;}
 
	public String getDBUrl() {return DBUrl;}
	public void setDBUrl(String dBUrl) {DBUrl = dBUrl;}

	public String getDBUser() {return DBUser;}
	public void setDBUser(String dBUser) {DBUser = dBUser;}

	public String getDBPassword() {return DBPassword;}
	public void setDBPassword(String dBPassword) {DBPassword = dBPassword;}
	
	
}
