/**********************************************************************
*	Copyright (C) 2024  Martin Lange
*	This file is part of biffo. OpenSource DMS
*
*	This program is free software: you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation, either version 3 of the License, or
*	(at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program.  If not, see <https://www.gnu.org/licenses/>.
*	info@biffo.de
*	www.biffo.de
**********************************************************************/
package org.biffo.dms.processQueue;

import java.io.Serializable;

import org.apache.wicket.ajax.AjaxRequestTarget;

public class ProcessLaunchedEvent 	implements Serializable {


	private static final long serialVersionUID = 1L;
	private AjaxRequestTarget target;

	public ProcessLaunchedEvent(AjaxRequestTarget target) {
		this.target = target;
	}
	
	public AjaxRequestTarget getTarget() {return target;}
	public void setTarget(AjaxRequestTarget target) {this.target = target;}

}
