/**********************************************************************
*	Copyright (C) 2024  Martin Lange
*	This file is part of biffo. OpenSource DMS
*
*	This program is free software: you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation, either version 3 of the License, or
*	(at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program.  If not, see <https://www.gnu.org/licenses/>.
*	info@biffo.de
*	www.biffo.de
**********************************************************************/
package org.biffo.dms.helpers;

import org.biffo.dms.StaticLocators;
import org.biffo.dms.entity.Fragments.FragmentFilterClass;
 

public class DmsDBHelpersFragment {

	
	
	public static boolean hasFragments(int documentId, int tenantId) {
		try {
			FragmentFilterClass ffc = new FragmentFilterClass();
			ffc.setIdDocument(documentId);
			ffc.setIdTenant(tenantId);
			if(StaticLocators.getFragments().getNumberOfEntities(ffc)>0) return true;
		}catch(Exception e) {
		}
		return false;
	}
	
}
