/**********************************************************************
*	Copyright (C) 2024  Martin Lange
*	This file is part of biffo. OpenSource DMS
*
*	This program is free software: you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation, either version 3 of the License, or
*	(at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program.  If not, see <https://www.gnu.org/licenses/>.
*	info@biffo.de
*	www.biffo.de
**********************************************************************/
package org.biffo.dms.web.documents.page.timeline;

import java.io.Serializable;

import org.biffo.dms.entity.user.Users.User;

public class DmsTimeLineUser implements Serializable{

	private static final long serialVersionUID = 1L;

	private String user;

	public DmsTimeLineUser() {}
	
	public DmsTimeLineUser(User userItem) {
		user = userItem.getBenutzerName();
	}
	
	
	public String getUser() {return user;}
	public void setUser(String user) {this.user = user;}
	
	
	
	
}
