 
 
 function renderPageTemplate(item, element, data){
	
	if(element.hasChildNodes()){
		return;
	}
		
	var itemDIV = document.createElement("div");
	itemDIV.setAttribute("style", "background-image: url('"+data.img+"');");
	itemDIV.setAttribute("class", data.style+" dnd-theme-windows dnd-drop-target");
	itemDIV.setAttribute("wicket:id","dvimage");
	itemDIV.setAttribute("id", "docid_"+data.id);
	
	if(data.tags!=undefined){ 
 		for(var i=0;i<data.tags.length;i++){ 
 			var tag = document.createElement("div");
 			tag.setAttribute("class", "visitemtag");
 			tag.setAttribute("style", "background-color: #"+data.tags[i].BG+"; color: #"+data.tags[i].FG);
			var tagspan = document.createElement("span");
 			tagspan.innerHTML=data.tags[i].tag;
 			tag.appendChild(tagspan);
 			itemDIV.appendChild(tag);
 		}	
 	}
	
	if(data.users!=undefined){ 
		for(var i=0;i<data.users.length;i++){
			var user = document.createElement("div");
			user.setAttribute("class", "visitemuser");
			var userspan = document.createElement("span");
			userspan.innerHTML=data.users[i].user;
			user.appendChild(userspan);
			itemDIV.appendChild(user);
		}	
	}
	
	element.appendChild(itemDIV);
}